Skip to main content
GET
Retrieve transcript

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

transcriptId
string
required

The unique identifier of the transcript to retrieve.

Response

successful operation

createdAt
string<date-time>
required

The date and time when this transcript was created, in ISO 8601 date-time format.

engagementId
integer<int64>
required

The unique identifier for the engagement associated with this transcript. It is an integer in int64 format.

id
string
required

The unique identifier for this transcript, represented as a string.

transcriptSource
enum<string>
required

Indicates the origin of the transcript, which can be either 'HUBSPOT_GENERATED' or 'INTEGRATOR_GENERATED'.

Available options:
HUBSPOT_GENERATED,
INTEGRATOR_GENERATED
transcriptUtterances
object[]
required

An array of utterances that make up the transcript. Each utterance contains details such as text, timing, and speaker information.

updatedAt
string<date-time>
required

The date and time when this transcript was last updated, in ISO 8601 date-time format.

Last modified on September 9, 2026